# Spec SimpleSeed
Describes a seed with start and end position and diagonal upper and lower bounds.

Extends | Seed
All Extended | Seed
Defined in | <seqan/seeds.h>
Signature | `template <[typename TConfig]> class Seed<Simple, TConfig>;`

## Template Parameters

`TConfig` | The configuration to use. Defaults to DefaultSeedConfig.

## Member Function Overview

- `Seed::Seed();, Seed::Seed(beginPosH, beginPosV, length);, Seed::Seed(beginPosH, beginPosV, endPosH, endPosV);`
  Constructor

## Interface Function Overview

### Interface Functions Inherited From Seed

- `beginDiagonal`
- `beginPositionH`
- `beginPositionV`
- `endDiagonal`
- `endPositionH`
- `endPositionV`
- `extendSeed`
- `lowerDiagonal`
- `score`
- `seedSize`
- `setBeginPositionH`
- `setBeginPositionV`
- `setEndPositionH`
- `setEndPositionV`
- `setLowerDiagonal`
- `setScore`
- `setUpperDiagonal`
- `upperDiagonal`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Seed

- `Diagonal`
- `Position`
- `SeedScore`
- `Size`

## Member Functions Detail

### `Seed::Seed(); Seed::Seed(beginPosH, beginPosV, length); Seed::Seed(beginPosH, beginPosV, endPosH, endPosV);`

Constructor

#### Parameters

`beginPosH` | The begin position in the horizontal position.
`beginPosV` | The begin position in the vertical position.
`length` | The length of the seed (in both directions).
`endPosH` | The end position in the horizontal position.
`endPosV` | The end position in the vertical position.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @class SimpleSeed
     *
     * @extends Seed
     *
     * @headerfile <seqan/seeds.h>
     *
     * @brief Describes a seed with start and end position and diagonal upper and
     *        lower bounds.
     *
     * @signature template <[typename TConfig]> class Seed<Simple, TConfig>;
     *
     * @tparam TConfig The configuration to use. Defaults to @link DefaultSeedConfig
     *                 @endlink.
     *
     * @fn SimpleSeed::Seed
     *
     * @brief Constructor
     *
     * @signature Seed::Seed();
     * @signature Seed::Seed(beginPosH, beginPosV, length);
     * @signature Seed::Seed(beginPosH, beginPosV, endPosH, endPosV);
     *
     * @param[in] beginPosH The begin position in the horizontal position.
     * @param[in] beginPosV The begin position in the vertical position.
     * @param[in] length The length of the seed (in both directions).
     * @param[in] endPosH The end position in the horizontal position.
     * @param[in] endPosV The end position in the vertical position.
     */